List customer subscriptions
const url = 'https://api.example.com/cms/customer/subscription';const options = { method: 'GET', headers: {'API-Key': '<API-Key>', Authorization: 'Bearer <token>', Token: '<Token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.example.com/cms/customer/subscription \ --header 'API-Key: <API-Key>' \ --header 'Authorization: Bearer <token>' \ --header 'Token: <Token>'Returns the visitor’s own ID, plus their client’s account holder ID if they belong to a client that has a distinct account holder.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”List of subscriptions
API representation of a customer subscription
object
Subscription ID
Activation date, MySQL datetime (Y-m-d H:i:s)
Deactivation date, MySQL datetime (Y-m-d H:i:s); “0000-00-00 00:00:00” when not set
User ID
Status (“1” enabled, “0” disabled)
Purchased item
API representation of an ecommerce pricing tier (product item)
object
Item ID
Description
Product ID
Product name
Price
The price it sells at today: its timed offer’s price while one runs, otherwise price
Currency
Available
Item order
Shippable
Weight
Installments
Once per user
Is upgrade
Upgrade type
Upgrade from
Upgrade exclude items
Upgrade price web
Upgrade price mobile
Field values, keyed by field key (each {name, value, type}), e.g. {“size”: {“name”: “Size”, “value”: “large”, “type”: “list”}}: the same keys the product search takes in settings; an empty array when there are none
object
object
Has image
Additional label 1
Additional label 2
Additional label 3
Diameter
Length
Depth
Width
Recurrent
Recurrent price
Recurrent start
Recurrent schedule
SKU
Stock enabled
Stock available
Whether orders are accepted when out of stock
Package quantity
Related items
object
Images (attachments)
object
High resolution URL
Video (only for video attachments)
object
Duration (only when present in metadata)
Files (attachments)
object
Duration (only when present in metadata)
Product details. Deprecated to avoid circular references. Use productId instead.
object
Translations
Action data to be executed when a pricing tier is bought
object
Action data to be executed when a pricing tier is bought as a renewal
object
Next renewal date, MySQL datetime (Y-m-d H:i:s)
Renewal attempts (DB integer serialized as a string)
Group code
Group name
Payment method
Cancellation request date, MySQL datetime (Y-m-d H:i:s)
Cancellation reason
Cancellation reason (custom user text)
Currency
Subscription is in grace period
Computed status code. 1=Active, 2=Active (grace period), 3=On hold (retrying), 4=Active (Pending user cancellation), 5=User cancelled, 6=On hold, 7=Active (Renewal disabled), 8=Not started, 9=Upgraded, 10=Paused
Computed status code as human-readable text
Example
[ { "activationDate": "2026-09-18 15:30:29", "deactivationDate": "2026-10-18 15:30:29", "status": "1", "purchased_item": { "prices": { "ZAR": { "price": "1", "recurrentPrice": "1" } }, "images": [ { "id": "4", "name": "watermarked", "focal": "50% 50%", "image_width": 654, "image_height": 529, "type": "image" } ], "files": [ { "id": "5", "type": "file" } ], "translations": { "en": { "description": "Description text", "label1": "Label 1", "label2": "Label 2", "label3": "Label 3" } }, "action_data": [ { "function": "registerSubscription", "param": "365", "group": "subscription" } ], "action_data_renew": [ { "function": "registerSubscription", "param": "365", "group": "subscription" } ] }, "nextRenewal": "2026-10-18 15:30:29", "lastFailedOrder": "20241", "attempts": "0", "referenceOrderId": "20241", "cancellationRequestDate": "2026-09-18 15:30:29", "status_code": 1 }]